import React from "react";
import CodeMirror from "@uiw/react-codemirror";
// import "codemirror/keymap/sublime";
// import "codemirror/theme/monokai.css";

// const code = "const a = 0;";


export default function JsonEditor({code}) {
  return (
    <CodeMirror
      value={code}
      options={{
        theme: "monokai",
        keyMap: "sublime",
        mode: "jsx",
        // 括号匹配
        matchBrackets: true,
        // tab缩进
        tabSize: 2,
      }}
    />
  );
}